Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the external reference

Pattern: ^xrf_[a-zA-Z0-9]+$

Response

External reference

Links a Paygentic entity to a record in an external system such as Salesforce or NetSuite.

id
string
required

Unique identifier for an external reference

Pattern: ^xrf_[a-zA-Z0-9]+$
object
enum<string>
default:externalReference
required
Available options:
externalReference
merchantId
string
required

Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
entityType
enum<string>
required

The type of Paygentic entity this external reference points at

Available options:
item,
customer
entityId
string
required
provider
string
required

Lowercase snake_case provider identifier (e.g. salesforce, netsuite)

Maximum string length: 64
Pattern: ^[a-z][a-z0-9_]*$
externalId
string
required

Optional external identifier for cross-referencing with external systems. Alphanumeric characters, hyphens, and underscores only.

Maximum string length: 255
Pattern: ^[a-zA-Z0-9_-]+$
metadata
object
required
isPrimary
boolean
required
isDefault
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
externalLabel
string | null